# Saved followers / following

> account_list_relations — Page through the account's saved followers or following with filters: new today, not following back, mutual, lost (unfollowed), verified.

Source: https://x.builera.app/docs/en/reference/account_list_relations

`account_list_relations` · Reads saved data

Page through the account's saved followers or following with filters: new today, not following back, mutual, lost (unfollowed), verified. Instant.

| | |
|---|---|
| REST | `GET /api/public/v1/accounts/{account}/relations` |
| MCP tool | `account_list_relations` |
| Permission needed | `view` — Owner, Manager, Operator, Viewer |
| Scope group | `accounts:read` |
| Group | Synced X data |
| Shown up front in profiles | Operate X accounts |

## Input {#input}

| Field | Type | Required | Description |
|---|---|---|---|
| `account` | string (1–100 chars) | Yes | The X account to use: its X-Buddy account_id (from account_list) or its @handle. Ambiguous names return candidates instead of guessing. |
| `direction` | `follower` · `following` | Yes |  |
| `filter` | `all` · `new` · `not_mutual` · `mutual` · `lost` · `verified` | No |  |
| `search` | string (0–60 chars) | No |  |
| `cursor` | string (0–500 chars) | No | Opaque cursor from a previous page's next_cursor. |

## Result {#output}

Returned in the `{ data, meta }` envelope, without creating a job on X. Lists include `next_cursor` and `has_more`.

## Example {#example}

### Call over REST {#example-rest}

```bash
curl -X GET "https://reach-link-craft.lovable.app/api/public/v1/accounts/%40your_x_account/relations?direction=follower" \
  -H "Authorization: Bearer $XBUDDY_API_KEY"
```

### Call over MCP {#example-mcp}

```json
{
  "method": "tools/call",
  "params": {
    "name": "account_list_relations",
    "arguments": {
      "account": "@your_x_account",
      "direction": "follower"
    }
  }
}
```

## Errors you may get {#errors}

| Code | HTTP | Retryable |
|---|---|---|
| [`unauthorized`](/docs/en/errors/unauthorized) | 401 | No |
| [`key_expired`](/docs/en/errors/key_expired) | 401 | No |
| [`integration_revoked`](/docs/en/errors/integration_revoked) | 401 | No |
| [`connection_not_linked`](/docs/en/errors/connection_not_linked) | 403 | No |
| [`integration_paused`](/docs/en/errors/integration_paused) | 403 | No |
| [`workspace_integrations_paused`](/docs/en/errors/workspace_integrations_paused) | 403 | No |
| [`integration_authorization_lost`](/docs/en/errors/integration_authorization_lost) | 403 | No |
| [`workspace_suspended`](/docs/en/errors/workspace_suspended) | 403 | No |
| [`forbidden`](/docs/en/errors/forbidden) | 403 | No |
| [`invalid_input`](/docs/en/errors/invalid_input) | 422 | No |
| [`rate_limited`](/docs/en/errors/rate_limited) | 429 | Yes |
| [`internal`](/docs/en/errors/internal) | 500 | Yes |
| [`ambiguous_account`](/docs/en/errors/ambiguous_account) | 409 | No |
| [`account_not_allowed`](/docs/en/errors/account_not_allowed) | 403 | No |
| [`not_found`](/docs/en/errors/not_found) | 404 | No |

[Back to all operations](/docs/en/reference)
